VERSION 5.00
Begin VB.Form frmNTUsers_Test 
   Caption         =   "Test of the NT Users "
   ClientHeight    =   3705
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5655
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   3705
   ScaleWidth      =   5655
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame1 
      Caption         =   "Groups"
      Height          =   1860
      Left            =   135
      TabIndex        =   8
      Top             =   1530
      Width           =   4155
      Begin VB.OptionButton optGroups 
         Caption         =   "PDC Groups"
         Height          =   240
         Index           =   1
         Left            =   2205
         TabIndex        =   11
         Top             =   315
         Width           =   1860
      End
      Begin VB.OptionButton optGroups 
         Caption         =   "&Local groups"
         Height          =   240
         Index           =   0
         Left            =   135
         TabIndex        =   10
         Top             =   315
         Width           =   1905
      End
      Begin VB.ListBox lstGroups 
         Height          =   1035
         Left            =   135
         TabIndex        =   9
         Top             =   675
         Width           =   3930
      End
   End
   Begin VB.Label lblPDC 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "lblPDC"
      Height          =   285
      Left            =   1800
      TabIndex        =   7
      Top             =   1170
      Width           =   2400
   End
   Begin VB.Label lblDomainName 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "lblDomainName"
      Height          =   285
      Left            =   1800
      TabIndex        =   6
      Top             =   810
      Width           =   2400
   End
   Begin VB.Label lblLocalComputerName 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "lblLocalComputerName"
      Height          =   285
      Left            =   1800
      TabIndex        =   5
      Top             =   450
      Width           =   2400
   End
   Begin VB.Label lblLocalAccountName 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "lblLocalAccountName"
      Height          =   285
      Left            =   1800
      TabIndex        =   4
      Top             =   90
      Width           =   2400
   End
   Begin VB.Label Label4 
      Caption         =   "PDC Name"
      Height          =   240
      Left            =   90
      TabIndex        =   3
      Top             =   1170
      Width           =   1590
   End
   Begin VB.Label Label3 
      Caption         =   "Domain Name"
      Height          =   240
      Left            =   90
      TabIndex        =   2
      Top             =   810
      Width           =   1590
   End
   Begin VB.Label Label2 
      Caption         =   "Local Computer Name"
      Height          =   240
      Left            =   90
      TabIndex        =   1
      Top             =   480
      Width           =   1590
   End
   Begin VB.Label Label1 
      Caption         =   "Local Account Name"
      Height          =   240
      Left            =   90
      TabIndex        =   0
      Top             =   135
      Width           =   1590
   End
End
Attribute VB_Name = "frmNTUsers_Test"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private WithEvents mobjNTUsers  As NTUsers
Attribute mobjNTUsers.VB_VarHelpID = -1


Private Sub Form_Load()
    
    
    Set mobjNTUsers = New NTUsers
    
    lblLocalAccountName.Caption = mobjNTUsers.LocalAccountName
    lblLocalComputerName.Caption = mobjNTUsers.LocalComputerName
    lblDomainName.Caption = mobjNTUsers.DomainName
    lblPDC.Caption = mobjNTUsers.PDC
    
    
End Sub


Private Sub Form_Unload(Cancel As Integer)
    Set mobjNTUsers = Nothing
    Set frmNTUsers_Test = Nothing
End Sub


Private Sub mobjNTUsers_GroupsLoadingComplete()

    Dim objGroup    As Group

    If mobjNTUsers.GroupsLoaded = True Then
        ' Load the groups
        lstGroups.Clear
        For Each objGroup In mobjNTUsers.Groups
            lstGroups.AddItem objGroup.GroupName & "(" & objGroup.Description & ")"
        Next objGroup
    End If
    
    optGroups(NetLocalGroup).Enabled = True
    optGroups(NetGroup).Enabled = True
        
End Sub


Private Sub optGroups_Click(Index As Integer)
    
    optGroups(NetLocalGroup).Enabled = False
    optGroups(NetGroup).Enabled = False
    
    optGroups(Index).Value = True
    
    If mobjNTUsers.LoadGroupsOk(CLng(Index)) = False Then
        MsgBox "Group Loading Failed"
    End If
    
    
End Sub


