VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "User"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

'local variable(s) to hold property value(s)
Private mvarUserName As String 'local copy
Private mvarFullname As String 'local copy
Private mvarDescription As String 'local copy
Private mvarPassword As String 'local copy
Private mvarUserMustChangePassword As Boolean 'local copy
Private mvarUserCannotChangePassword As Boolean 'local copy
Private mvarPasswordNeverExpires As Boolean 'local copy
Private mvarAccountDisabled As Boolean 'local copy
Private mvarAccountLockedOut As Boolean 'local copy
Private mvarUserProfilePath As String 'local copy
Private mvarLoginScriptName As String 'local copy
Private mvarLocalPath As String 'local copy
Private mvarConnectDrive As String 'local copy
Private mvarHomeDirectory As String 'local copy
Private mvarGrantDialinPermission As Boolean 'local copy
Private mvarDialinCallback As Long 'local copy
Private mvarDialinPresetTo As String 'local copy

Public Enum CallbackType
    NoCallback = 1
    SetByCaller
    PresetTo
End Enum
Public Property Let DialinPresetTo(ByVal vData As String)
Attribute DialinPresetTo.VB_Description = "Returns/Sets the call back preset value for when the users dials in remotely."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.DialinPresetTo = 5
    mvarDialinPresetTo = vData
End Property


Public Property Get DialinPresetTo() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.DialinPresetTo
    DialinPresetTo = mvarDialinPresetTo
End Property



Public Property Let DialinCallback(ByVal vData As CallbackType)
Attribute DialinCallback.VB_Description = "Returns/Sets the callback type for the dialin of the user."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.DialinCallback = 5
    mvarDialinCallback = vData
End Property


Public Property Get DialinCallback() As CallbackType
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.DialinCallback
    DialinCallback = mvarDialinCallback
End Property



Public Property Let GrantDialinPermission(ByVal vData As Boolean)
Attribute GrantDialinPermission.VB_Description = "Returns/Sets the indicator on whether or not to allow this user to dial in remotely."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.GrantDialinPermission = 5
    mvarGrantDialinPermission = vData
End Property


Public Property Get GrantDialinPermission() As Boolean
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.GrantDialinPermission
    GrantDialinPermission = mvarGrantDialinPermission
End Property



Public Property Let HomeDirectory(ByVal vData As String)
Attribute HomeDirectory.VB_Description = "Returns/Sets the users home directory."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.HomeDirectory = 5
    mvarHomeDirectory = vData
End Property


Public Property Get HomeDirectory() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.HomeDirectory
    HomeDirectory = mvarHomeDirectory
End Property



Public Property Let ConnectDrive(ByVal vData As String)
Attribute ConnectDrive.VB_Description = "Returns/sets the value of the drive to map to the users home directory."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.ConnectDrive = 5
    mvarConnectDrive = vData
End Property


Public Property Get ConnectDrive() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ConnectDrive
    ConnectDrive = mvarConnectDrive
End Property



Public Property Let LocalPath(ByVal vData As String)
Attribute LocalPath.VB_Description = "Returns/Sets the local path for the user."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.LocalPath = 5
    mvarLocalPath = vData
End Property


Public Property Get LocalPath() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.LocalPath
    LocalPath = mvarLocalPath
End Property



Public Property Let LoginScriptName(ByVal vData As String)
Attribute LoginScriptName.VB_Description = "Returns/Sets the login script for the user."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.LoginScriptName = 5
    mvarLoginScriptName = vData
End Property


Public Property Get LoginScriptName() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.LoginScriptName
    LoginScriptName = mvarLoginScriptName
End Property



Public Property Let UserProfilePath(ByVal vData As String)
Attribute UserProfilePath.VB_Description = "Returns/Sets the users profile path."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.UserProfilePath = 5
    mvarUserProfilePath = vData
End Property


Public Property Get UserProfilePath() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.UserProfilePath
    UserProfilePath = mvarUserProfilePath
End Property



Public Property Let AccountLockedOut(ByVal vData As Boolean)
Attribute AccountLockedOut.VB_Description = "Returns/Sets the indicator on whether or not the users account has been locked out."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.AccountLockedOut = 5
    mvarAccountLockedOut = vData
End Property


Public Property Get AccountLockedOut() As Boolean
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.AccountLockedOut
    AccountLockedOut = mvarAccountLockedOut
End Property



Public Property Let AccountDisabled(ByVal vData As Boolean)
Attribute AccountDisabled.VB_Description = "Returns/Sets the indicator on whether or not the account is disabled."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.AccountDisabled = 5
    mvarAccountDisabled = vData
End Property


Public Property Get AccountDisabled() As Boolean
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.AccountDisabled
    AccountDisabled = mvarAccountDisabled
End Property



Public Property Let PasswordNeverExpires(ByVal vData As Boolean)
Attribute PasswordNeverExpires.VB_Description = "Returns/Sets the indicator on whether or not the password ever expires."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.PasswordNeverExpires = 5
    mvarPasswordNeverExpires = vData
End Property


Public Property Get PasswordNeverExpires() As Boolean
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PasswordNeverExpires
    PasswordNeverExpires = mvarPasswordNeverExpires
End Property



Public Property Let UserCannotChangePassword(ByVal vData As Boolean)
Attribute UserCannotChangePassword.VB_Description = "Returns/Sets the indicator on whether or not the users can change their password."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.UserCannotChangePassword = 5
    mvarUserCannotChangePassword = vData
End Property


Public Property Get UserCannotChangePassword() As Boolean
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.UserCannotChangePassword
    UserCannotChangePassword = mvarUserCannotChangePassword
End Property



Public Property Let UserMustChangePassword(ByVal vData As Boolean)
Attribute UserMustChangePassword.VB_Description = "Returns/Sets the indicator on whether or not the user must change his/her password when the next login."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.UserMustChangePassword = 5
    mvarUserMustChangePassword = vData
End Property


Public Property Get UserMustChangePassword() As Boolean
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.UserMustChangePassword
    UserMustChangePassword = mvarUserMustChangePassword
End Property



Public Property Let Password(ByVal vData As String)
Attribute Password.VB_Description = "Returns/Sets the password of the user"
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.Password = 5
    mvarPassword = vData
End Property


Public Property Get Password() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Password
    Password = mvarPassword
End Property



Public Property Let Description(ByVal vData As String)
Attribute Description.VB_Description = "Returns/Sets the description of the user."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.Description = 5
    mvarDescription = vData
End Property


Public Property Get Description() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Description
    Description = mvarDescription
End Property



Public Property Let Fullname(ByVal vData As String)
Attribute Fullname.VB_Description = "Returns/Sets the users full name"
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.Fullname = 5
    mvarFullname = vData
End Property


Public Property Get Fullname() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Fullname
    Fullname = mvarFullname
End Property



Public Property Let UserName(ByVal vData As String)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.UserName = 5
    mvarUserName = vData
End Property


Public Property Get UserName() As String
Attribute UserName.VB_Description = "Returns/Sets the Username"
Attribute UserName.VB_UserMemId = 0
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.UserName
    UserName = mvarUserName
End Property



